{
    attributes = (
        {
            allowsNull = Y; 
            columnName = DEV_CODE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = TVA_TAUX; }; 
            name = devCode; 
            precision = 12; 
            scale = 2; 
            serverTimeZone = Europe/Paris; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            columnName = DEV_ID; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = TVA_ID; }; 
            name = devId; 
            serverTimeZone = Europe/Paris; 
            valueClassName = NSNumber; 
            valueType = i; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = DEV_LIBELLE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = TVA_TAUX; }; 
            name = devLibelle; 
            precision = 12; 
            scale = 2; 
            serverTimeZone = Europe/Paris; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }
    ); 
    attributesUsedForLocking = (devId, devLibelle, devCode); 
    className = org.cocktail.sapics.serveur.eof.model.EODevise; 
    classProperties = (devLibelle, devCode); 
    externalName = JEFY_ADMIN.DEVISE; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (
            tauTaux, 
            tauCode, 
            tvaId, 
            tvaTaux, 
            tvaTaux1, 
            tvaTauxString, 
            devLibelle, 
            devCode
        ); 
        _javaClientClassName = org.cocktail.sapics.client.eof.model.EODevise; 
    }; 
    name = Devise; 
    primaryKeyAttributes = (devId); 
}
